org.eclnt.jsfserver.elements.componentnodes

## Class SLIDECONTAINERNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.SLIDECONTAINERNode

- All Implemented Interfaces:
    java.io.Serializable

      public class SLIDECONTAINERNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SLIDECONTAINERNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SLIDECONTAINERNode` | `bindActionListener(IActionListenerDelegation value)`
    `SLIDECONTAINERNode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `SLIDECONTAINERNode` | `bindAnimatechangeofsize(IDynamicContentBindingObject value)`
    `SLIDECONTAINERNode` | `bindBackground(IDynamicContentBindingObject value)`
    `SLIDECONTAINERNode` | `bindBgpaint(IDynamicContentBindingObject value)`
    `SLIDECONTAINERNode` | `bindBorder(IDynamicContentBindingObject value)`
    `SLIDECONTAINERNode` | `bindClientname(IDynamicContentBindingObject value)`
    `SLIDECONTAINERNode` | `bindColspan(IDynamicContentBindingObject value)`
    `SLIDECONTAINERNode` | `bindComment(IDynamicContentBindingObject value)`
    `SLIDECONTAINERNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `SLIDECONTAINERNode` | `bindDroprastertext(IDynamicContentBindingObject value)`
    `SLIDECONTAINERNode` | `bindDropreceive(IDynamicContentBindingObject value)`
    `SLIDECONTAINERNode` | `bindDropshape(IDynamicContentBindingObject value)`
    `SLIDECONTAINERNode` | `bindFlusharea(IDynamicContentBindingObject value)`
    `SLIDECONTAINERNode` | `bindFlushreference(IDynamicContentBindingObject value)`
    `SLIDECONTAINERNode` | `bindFocusable(IDynamicContentBindingObject value)`
    `SLIDECONTAINERNode` | `bindFocusdrawborder(IDynamicContentBindingObject value)`
    `SLIDECONTAINERNode` | `bindFxstyleseq(IDynamicContentBindingObject value)`
    `SLIDECONTAINERNode` | `bindHeight(IDynamicContentBindingObject value)`
    `SLIDECONTAINERNode` | `bindHelpid(IDynamicContentBindingObject value)`
    `SLIDECONTAINERNode` | `bindInvokeevent(IDynamicContentBindingObject value)`
    `SLIDECONTAINERNode` | `bindMasterid(IDynamicContentBindingObject value)`
    `SLIDECONTAINERNode` | `bindMasteridtofollow(IDynamicContentBindingObject value)`
    `SLIDECONTAINERNode` | `bindOrientation(IDynamicContentBindingObject value)`
    `SLIDECONTAINERNode` | `bindPadding(IDynamicContentBindingObject value)`
    `SLIDECONTAINERNode` | `bindPopupmenu(IDynamicContentBindingObject value)`
    `SLIDECONTAINERNode` | `bindPopupmenuloadroundtrip(IDynamicContentBindingObject value)`
    `SLIDECONTAINERNode` | `bindRendered(IDynamicContentBindingObject value)`
    `SLIDECONTAINERNode` | `bindRequestfocus(IDynamicContentBindingObject value)`
    `SLIDECONTAINERNode` | `bindRequestfocushotkey(IDynamicContentBindingObject value)`
    `SLIDECONTAINERNode` | `bindRounding(IDynamicContentBindingObject value)`
    `SLIDECONTAINERNode` | `bindRowalignmenty(IDynamicContentBindingObject value)`
    `SLIDECONTAINERNode` | `bindShadow(IDynamicContentBindingObject value)`
    `SLIDECONTAINERNode` | `bindStyleseq(IDynamicContentBindingObject value)`
    `SLIDECONTAINERNode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `SLIDECONTAINERNode` | `bindTooltip(IDynamicContentBindingObject value)`
    `SLIDECONTAINERNode` | `bindTriplesizecontent(IDynamicContentBindingObject value)`
    `SLIDECONTAINERNode` | `bindValue(IDynamicContentBindingObject value)`
    `SLIDECONTAINERNode` | `bindWidth(IDynamicContentBindingObject value)`
    `SLIDECONTAINERNode` | `bindWithfocusevent(IDynamicContentBindingObject value)`
    `SLIDECONTAINERNode` | `bindX(IDynamicContentBindingObject value)`
    `SLIDECONTAINERNode` | `bindY(IDynamicContentBindingObject value)`
    `SLIDECONTAINERNode` | `setActionListener(java.lang.String value)`
    `SLIDECONTAINERNode` | `setAdapterbinding(java.lang.String value)`
    `SLIDECONTAINERNode` | `setAnimatechangeofsize(boolean value)`
    `SLIDECONTAINERNode` | `setAnimatechangeofsize(java.lang.String value)`
    `SLIDECONTAINERNode` | `setAttributemacro(java.lang.String value)`
    `SLIDECONTAINERNode` | `setBackground(java.lang.String value)`
    `SLIDECONTAINERNode` | `setBgpaint(java.lang.String value)`
    `SLIDECONTAINERNode` | `setBorder(java.lang.String value)`
    `SLIDECONTAINERNode` | `setClientname(java.lang.String value)`
    `SLIDECONTAINERNode` | `setColspan(int value)`
    `SLIDECONTAINERNode` | `setColspan(java.lang.String value)`
    `SLIDECONTAINERNode` | `setComment(java.lang.String value)`
    `SLIDECONTAINERNode` | `setComponentbinding(java.lang.String value)`
    `SLIDECONTAINERNode` | `setConfiginfo(java.lang.String value)`
    `SLIDECONTAINERNode` | `setDroprastertext(java.lang.String value)`
    `SLIDECONTAINERNode` | `setDropreceive(java.lang.String value)`
    `SLIDECONTAINERNode` | `setDropshape(java.lang.String value)`
    `SLIDECONTAINERNode` | `setFlusharea(boolean value)`
    `SLIDECONTAINERNode` | `setFlusharea(java.lang.String value)`
    `SLIDECONTAINERNode` | `setFlushreference(java.lang.String value)`
    `SLIDECONTAINERNode` | `setFocusable(boolean value)`
    `SLIDECONTAINERNode` | `setFocusable(java.lang.String value)`
    `SLIDECONTAINERNode` | `setFocusdrawborder(boolean value)`
    `SLIDECONTAINERNode` | `setFocusdrawborder(java.lang.String value)`
    `SLIDECONTAINERNode` | `setFxstyleseq(java.lang.String value)`
    `SLIDECONTAINERNode` | `setHeight(int value)`
    `SLIDECONTAINERNode` | `setHeight(java.lang.String value)`
    `SLIDECONTAINERNode` | `setHelpid(java.lang.String value)`
    `SLIDECONTAINERNode` | `setId(java.lang.String value)`
    `SLIDECONTAINERNode` | `setInvokeevent(java.lang.String value)`
    `SLIDECONTAINERNode` | `setMasterid(java.lang.String value)`
    `SLIDECONTAINERNode` | `setMasteridtofollow(java.lang.String value)`
    `SLIDECONTAINERNode` | `setOrientation(java.lang.String value)`
    `SLIDECONTAINERNode` | `setPadding(java.lang.String value)`
    `SLIDECONTAINERNode` | `setPopupmenu(java.lang.String value)`
    `SLIDECONTAINERNode` | `setPopupmenuloadroundtrip(java.lang.String value)`
    `SLIDECONTAINERNode` | `setReference(java.lang.String value)`
    `SLIDECONTAINERNode` | `setRendered(boolean value)`
    `SLIDECONTAINERNode` | `setRendered(java.lang.String value)`
    `SLIDECONTAINERNode` | `setRequestfocus(java.lang.String value)`
    `SLIDECONTAINERNode` | `setRequestfocushotkey(java.lang.String value)`
    `SLIDECONTAINERNode` | `setRounding(int value)`
    `SLIDECONTAINERNode` | `setRounding(java.lang.String value)`
    `SLIDECONTAINERNode` | `setRowalignmenty(java.lang.String value)`
    `SLIDECONTAINERNode` | `setShadow(java.lang.String value)`
    `SLIDECONTAINERNode` | `setStyleseq(java.lang.String value)`
    `SLIDECONTAINERNode` | `setStylevariant(java.lang.String value)`
    `SLIDECONTAINERNode` | `setTooltip(java.lang.String value)`
    `SLIDECONTAINERNode` | `setTriplesizecontent(boolean value)`
    `SLIDECONTAINERNode` | `setTriplesizecontent(java.lang.String value)`
    `SLIDECONTAINERNode` | `setValue(java.lang.String value)`
    `SLIDECONTAINERNode` | `setWidth(int value)`
    `SLIDECONTAINERNode` | `setWidth(java.lang.String value)`
    `SLIDECONTAINERNode` | `setWithfocusevent(boolean value)`
    `SLIDECONTAINERNode` | `setWithfocusevent(java.lang.String value)`
    `SLIDECONTAINERNode` | `setX(int value)`
    `SLIDECONTAINERNode` | `setX(java.lang.String value)`
    `SLIDECONTAINERNode` | `setY(int value)`
    `SLIDECONTAINERNode` | `setY(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SLIDECONTAINERNode

          public SLIDECONTAINERNode()

  - ### Method Detail

    - #### setId

          public SLIDECONTAINERNode setId(java.lang.String value)

    - #### setActionListener

          public SLIDECONTAINERNode setActionListener(java.lang.String value)

    - #### bindActionListener

          public SLIDECONTAINERNode bindActionListener(IActionListenerDelegation value)

    - #### setAdapterbinding

          public SLIDECONTAINERNode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public SLIDECONTAINERNode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAnimatechangeofsize

          public SLIDECONTAINERNode setAnimatechangeofsize(java.lang.String value)

    - #### bindAnimatechangeofsize

          public SLIDECONTAINERNode bindAnimatechangeofsize(IDynamicContentBindingObject value)

    - #### setAnimatechangeofsize

          public SLIDECONTAINERNode setAnimatechangeofsize(boolean value)

    - #### setAttributemacro

          public SLIDECONTAINERNode setAttributemacro(java.lang.String value)

    - #### setBackground

          public SLIDECONTAINERNode setBackground(java.lang.String value)

    - #### bindBackground

          public SLIDECONTAINERNode bindBackground(IDynamicContentBindingObject value)

    - #### setBgpaint

          public SLIDECONTAINERNode setBgpaint(java.lang.String value)

    - #### bindBgpaint

          public SLIDECONTAINERNode bindBgpaint(IDynamicContentBindingObject value)

    - #### setBorder

          public SLIDECONTAINERNode setBorder(java.lang.String value)

    - #### bindBorder

          public SLIDECONTAINERNode bindBorder(IDynamicContentBindingObject value)

    - #### setClientname

          public SLIDECONTAINERNode setClientname(java.lang.String value)

    - #### bindClientname

          public SLIDECONTAINERNode bindClientname(IDynamicContentBindingObject value)

    - #### setColspan

          public SLIDECONTAINERNode setColspan(java.lang.String value)

    - #### bindColspan

          public SLIDECONTAINERNode bindColspan(IDynamicContentBindingObject value)

    - #### setColspan

          public SLIDECONTAINERNode setColspan(int value)

    - #### setComment

          public SLIDECONTAINERNode setComment(java.lang.String value)

    - #### bindComment

          public SLIDECONTAINERNode bindComment(IDynamicContentBindingObject value)

    - #### setComponentbinding

          public SLIDECONTAINERNode setComponentbinding(java.lang.String value)

    - #### setConfiginfo

          public SLIDECONTAINERNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public SLIDECONTAINERNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setDroprastertext

          public SLIDECONTAINERNode setDroprastertext(java.lang.String value)

    - #### bindDroprastertext

          public SLIDECONTAINERNode bindDroprastertext(IDynamicContentBindingObject value)

    - #### setDropreceive

          public SLIDECONTAINERNode setDropreceive(java.lang.String value)

    - #### bindDropreceive

          public SLIDECONTAINERNode bindDropreceive(IDynamicContentBindingObject value)

    - #### setDropshape

          public SLIDECONTAINERNode setDropshape(java.lang.String value)

    - #### bindDropshape

          public SLIDECONTAINERNode bindDropshape(IDynamicContentBindingObject value)

    - #### setFlusharea

          public SLIDECONTAINERNode setFlusharea(java.lang.String value)

    - #### bindFlusharea

          public SLIDECONTAINERNode bindFlusharea(IDynamicContentBindingObject value)

    - #### setFlusharea

          public SLIDECONTAINERNode setFlusharea(boolean value)

    - #### setFlushreference

          public SLIDECONTAINERNode setFlushreference(java.lang.String value)

    - #### bindFlushreference

          public SLIDECONTAINERNode bindFlushreference(IDynamicContentBindingObject value)

    - #### setFocusable

          public SLIDECONTAINERNode setFocusable(java.lang.String value)

    - #### bindFocusable

          public SLIDECONTAINERNode bindFocusable(IDynamicContentBindingObject value)

    - #### setFocusable

          public SLIDECONTAINERNode setFocusable(boolean value)

    - #### setFocusdrawborder

          public SLIDECONTAINERNode setFocusdrawborder(java.lang.String value)

    - #### bindFocusdrawborder

          public SLIDECONTAINERNode bindFocusdrawborder(IDynamicContentBindingObject value)

    - #### setFocusdrawborder

          public SLIDECONTAINERNode setFocusdrawborder(boolean value)

    - #### setFxstyleseq

          public SLIDECONTAINERNode setFxstyleseq(java.lang.String value)

    - #### bindFxstyleseq

          public SLIDECONTAINERNode bindFxstyleseq(IDynamicContentBindingObject value)

    - #### setHeight

          public SLIDECONTAINERNode setHeight(java.lang.String value)

    - #### bindHeight

          public SLIDECONTAINERNode bindHeight(IDynamicContentBindingObject value)

    - #### setHeight

          public SLIDECONTAINERNode setHeight(int value)

    - #### setHelpid

          public SLIDECONTAINERNode setHelpid(java.lang.String value)

    - #### bindHelpid

          public SLIDECONTAINERNode bindHelpid(IDynamicContentBindingObject value)

    - #### setInvokeevent

          public SLIDECONTAINERNode setInvokeevent(java.lang.String value)

    - #### bindInvokeevent

          public SLIDECONTAINERNode bindInvokeevent(IDynamicContentBindingObject value)

    - #### setMasterid

          public SLIDECONTAINERNode setMasterid(java.lang.String value)

    - #### bindMasterid

          public SLIDECONTAINERNode bindMasterid(IDynamicContentBindingObject value)

    - #### setMasteridtofollow

          public SLIDECONTAINERNode setMasteridtofollow(java.lang.String value)

    - #### bindMasteridtofollow

          public SLIDECONTAINERNode bindMasteridtofollow(IDynamicContentBindingObject value)

    - #### setOrientation

          public SLIDECONTAINERNode setOrientation(java.lang.String value)

    - #### bindOrientation

          public SLIDECONTAINERNode bindOrientation(IDynamicContentBindingObject value)

    - #### setPadding

          public SLIDECONTAINERNode setPadding(java.lang.String value)

    - #### bindPadding

          public SLIDECONTAINERNode bindPadding(IDynamicContentBindingObject value)

    - #### setPopupmenu

          public SLIDECONTAINERNode setPopupmenu(java.lang.String value)

    - #### bindPopupmenu

          public SLIDECONTAINERNode bindPopupmenu(IDynamicContentBindingObject value)

    - #### setPopupmenuloadroundtrip

          public SLIDECONTAINERNode setPopupmenuloadroundtrip(java.lang.String value)

    - #### bindPopupmenuloadroundtrip

          public SLIDECONTAINERNode bindPopupmenuloadroundtrip(IDynamicContentBindingObject value)

    - #### setReference

          public SLIDECONTAINERNode setReference(java.lang.String value)

    - #### setRendered

          public SLIDECONTAINERNode setRendered(java.lang.String value)

    - #### bindRendered

          public SLIDECONTAINERNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public SLIDECONTAINERNode setRendered(boolean value)

    - #### setRequestfocus

          public SLIDECONTAINERNode setRequestfocus(java.lang.String value)

    - #### bindRequestfocus

          public SLIDECONTAINERNode bindRequestfocus(IDynamicContentBindingObject value)

    - #### setRequestfocushotkey

          public SLIDECONTAINERNode setRequestfocushotkey(java.lang.String value)

    - #### bindRequestfocushotkey

          public SLIDECONTAINERNode bindRequestfocushotkey(IDynamicContentBindingObject value)

    - #### setRounding

          public SLIDECONTAINERNode setRounding(java.lang.String value)

    - #### bindRounding

          public SLIDECONTAINERNode bindRounding(IDynamicContentBindingObject value)

    - #### setRounding

          public SLIDECONTAINERNode setRounding(int value)

    - #### setRowalignmenty

          public SLIDECONTAINERNode setRowalignmenty(java.lang.String value)

    - #### bindRowalignmenty

          public SLIDECONTAINERNode bindRowalignmenty(IDynamicContentBindingObject value)

    - #### setShadow

          public SLIDECONTAINERNode setShadow(java.lang.String value)

    - #### bindShadow

          public SLIDECONTAINERNode bindShadow(IDynamicContentBindingObject value)

    - #### setStyleseq

          public SLIDECONTAINERNode setStyleseq(java.lang.String value)

    - #### bindStyleseq

          public SLIDECONTAINERNode bindStyleseq(IDynamicContentBindingObject value)

    - #### setStylevariant

          public SLIDECONTAINERNode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public SLIDECONTAINERNode bindStylevariant(IDynamicContentBindingObject value)

    - #### setTooltip

          public SLIDECONTAINERNode setTooltip(java.lang.String value)

    - #### bindTooltip

          public SLIDECONTAINERNode bindTooltip(IDynamicContentBindingObject value)

    - #### setTriplesizecontent

          public SLIDECONTAINERNode setTriplesizecontent(java.lang.String value)

    - #### bindTriplesizecontent

          public SLIDECONTAINERNode bindTriplesizecontent(IDynamicContentBindingObject value)

    - #### setTriplesizecontent

          public SLIDECONTAINERNode setTriplesizecontent(boolean value)

    - #### setValue

          public SLIDECONTAINERNode setValue(java.lang.String value)

    - #### bindValue

          public SLIDECONTAINERNode bindValue(IDynamicContentBindingObject value)

    - #### setWidth

          public SLIDECONTAINERNode setWidth(java.lang.String value)

    - #### bindWidth

          public SLIDECONTAINERNode bindWidth(IDynamicContentBindingObject value)

    - #### setWidth

          public SLIDECONTAINERNode setWidth(int value)

    - #### setWithfocusevent

          public SLIDECONTAINERNode setWithfocusevent(java.lang.String value)

    - #### bindWithfocusevent

          public SLIDECONTAINERNode bindWithfocusevent(IDynamicContentBindingObject value)

    - #### setWithfocusevent

          public SLIDECONTAINERNode setWithfocusevent(boolean value)

    - #### setX

          public SLIDECONTAINERNode setX(java.lang.String value)

    - #### bindX

          public SLIDECONTAINERNode bindX(IDynamicContentBindingObject value)

    - #### setX

          public SLIDECONTAINERNode setX(int value)

    - #### setY

          public SLIDECONTAINERNode setY(java.lang.String value)

    - #### bindY

          public SLIDECONTAINERNode bindY(IDynamicContentBindingObject value)

    - #### setY

          public SLIDECONTAINERNode setY(int value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.